Guida audio e video in openSuse 10.2

Mar, 16/01/2007 - 03:33

Guida audio e video in openSuse 10.2

Inviato da Alfio 25 commenti
Dalla prima guida che ho fatto riferita alla Suse10.0 sono cambiate alcune cose anche se poi le basi non cambiano.
Questa guida sarà fatta con degli aggiornamenti oltre ha nuove istruzioni che si sono presentate con la 10.1 e la 10.2 di openSuse.
Prima di entrare nella guida vera è propria bisogna spiegare alcune cose per capire cosa andremo a fare.
Per installare i "codec audio e video"andremo ad utilizzare due "gestori di installazione pacchetti" inclusi di default nella openSuse 10.2.
Prendo openSuse 10.2 come riferimento in quando è quella che ho installato ma il concetto base non cambia per qualsiasi altra versione di openSuse .
Quello che cambia sono solo i "gestori di pacchetti" nell'installazione dei codec o programmi .
Dalla versione di openSuse 10.1 e 10.2 si è aggiunto oltre ad Yast un'altro gestore di pacchetti rilasciato da Novell chiamato "Zen-Updater" che ricalca le stesse funzioni di Yast nella gestione dei pacchetti solo che in unico gestore raggruppa anche le patch,update,installazione.rimozione,ecc.
Per fare questo hanno bisogno di essere configurati sia Yast che Zen-Updater con i repositori.
Un'altra cosa da spiegare sono i "Repositori" sono dei link che portano hai server ufficiali e non ufficiali per installare pacchetti rpm o update ecc.
Per dirla breve i repositori fanno in modo che i pacchetti ospitati per la nostra openSuse dai server siano riconosciuti tramite una lista dei contenuti di pacchetti dove Yast e zen prelevano per fare in modo che noi sappiamo cosa contengono i server per poterli installare in locale dal nostro personal computer senza andare fisicamente sui server oltre a risolvere per noi le dipendenze dei programmi che installeremo.
Le dipendenze sono indispensabile in quando un programma base a bisogno per funzionare.
Mi fermo qui perché il discorso andrebbe per le lunghe invece è importante entrare nel vivo della guida ora.

Supponiamo un sistema appena installato per prima cosa dobbiamo inserire il repositori per le patch di sicurezza di openSuse.
Start/computer/impostazione di amministratore(Yast) ci apparirà la schermata iniziale di Yast dove possiamo gestire il nostro sistema operativo.
Clicchiamo su "Configurazione degli aggiornamenti in linea" dove seguiremo le indicazione che ci verranno mostrate fino al complimento dell'operazione.
Questa operazione inserisci in automatico un repositori degli update di sicurezza ufficiali.
Tramite zen-updater (l'icona a forma di mappamondo vicino l'orologio) ora possiamo fare gli aggiornamenti di sicurezza.Quando accedi per la prima volta agli aggiornamenti di sicurezza zen--updater ti chiede di iinserire l'utente della tua home nel gruppo root che possono installare gli update mostrandoti una finestra dove inserire la password da root. Questa operazione è solo per praticità in quando non andrai più a inserire la password ogni volta che ci sono degli update.
Ora zen-update ti permette d'aggiornare pacchetti come utente limitato.
Fate attenzione quali repositori usate in yast perché saranno riversati in zen-updater.
Questo succede perché entrambi condividono con la sincronizzazione gli stessi repositori . Fate attenzione ha cosa state aggiornando.

I repositori che andremo inserire in zen-updater coprono tutte le esigenze per un utente desktop base è non solo.
Questi sono i repositori che andremo a inserire in zen-updater
Packman repositori per il multimedia,game ecc
http://packman.mirrors.skynet.be/pub/packman/suse/10.2/
Guru repositori misto per il multimedia,games,messaggistica ecc
http://ftp.gwdg.de/pub/linux/misc/suser-guru/rpm/10.2/
Per inserire i repositori in zen clicchiamo col destro col mouse sull'icona vicino l'orologio andiamo su configura:
Services -add Service/tipo di servizio/ZYPP
Inseriamolo come da esempio.
http://img444.imageshack.us/img444/8602/packmanys9.jpg
Clicchiamo su aggiungi dove ci chiederà la password di root(Utente con privilegi illimitati) inseriamola e finiamo l'operazione cliccando su continua.
Inseriamo con lo stesso procedimento il repositori di Guru.
Ora zen segnalerà degli update introducendo in automatico una parte dei i codec , oltre vi chiederà delle dipendenze e di eliminare xine-lib fatelo ed aggiornate.
I repositori in Yast saranno disponibile al successivo riavvio di Yast o al successivo riavvio del personal computer.

Andiamo in:

start/applicazioni-sistema-configurazione-Software di installazione ecco cosa dobbiamo installare:

mplayer -mplayer-plugins
w32codec-all
libxine ( tutte quelle che sono elencate).
libdvdcss(libreria non inclusa nei repositori)
Dovete scaricarla da qui:
http://download.videolan.org/pub/libdvdcss/1.2.9/rpm/
Programmi che consiglio.
Audiokonverter (per convertire formati audio da a mp3 e non solo).
vlc (player che riproduce tutto.)
vlc-mozilla-plugins
k9copy(backup dvd)
mandvd(convertire un file video in un dvd)
easy tag(tag editor per mp3)
amule(programma p2p)
amsn(clone di msn per windows).
Poi ognuno è libero di installare ciò che vuole asseconda delle proprie necessità.
Vi chiederà delle dipendenze che non trova aggiungete questo repositori in zen:
Abbiamo finito resta solo di configurare Mozilla-firefox per vedere il protocollo mms usato principalmente da Raiclick.

Ecco come:

1. Nella barra degli indirizzi di Firefox digita about :config
2. In Filtro scrivi mms dovrebbe svuotarsi la pagina (tutto bianco)
3. tasto destro del mouse sulla pagina, seleziona nuovo->booleano
5. digita il nome network.protocol-handler.external.mms
6. Imposta il valore a true
7. di nuovo tasto destro sulla pagina, seleziona nuovo->stringa
8. digita il nome network.protocol-handler.app.mms
9. digita il nome del player es. gmplayer
Un consiglio usate MPlayer come Player predefinito per lo steamer visto che viene spesso preso come windows Media Player.

Se il test risulta negativo dovrete rifare l'iserimento delle stringhe in Firefox manualmente evitando il copia incolla.
Per il links su internet di tutti gli altri video o audio vi consiglio di usare questa estensione per Mozilla-Firefox.
MediaPlayerConnectivity che potete scaricare da qui.
ATTENZIONE!Il procedimento in Yast per aggiungere i repositori è già stato illustrato da qui:
http://www.suseitalia.org/modules/wfsection/article.php?articleid=66
Per installare i pacchetti con Yast:
Start/computer/impostazione amministratore(Yast).
Nel pannello che si apre andate in "Gestioni pacchetti" dove potete installare i pacchetti con lo stesso procedimento di zen-updater
La guida è stata prodotta utilizzando come ambiente desktop grafico KDE 3.5.5 "release 50.1" ciò non toglie che variando qualche programma è utilizzabile anche in altri ambiente desktop manager.

Buona visione e buon ascolto.

Ciao


In:



Commenti

Ritratto di Nevermore
#1

Inviato da Nevermore il Mar, 16/01/2007 - 17:44.

grazie

Grazie Alfio!

ciao



Ritratto di Alfio
#2

Inviato da Alfio il Mar, 16/01/2007 - 19:20.

Prego...

Spero possa essere d'aiuto
Ciao



Ritratto di francescoet3
#3

Inviato da francescoet3 il Gio, 19/04/2007 - 20:47.

Re: Prego...

ciao alfio la tua guida è perfetta e funziona tutto alla perfezione.solo che adesso dopo che ho formattato il pc ho seguito la tua guida come ho fatto la prima volta e mifunziona tutto solo non riesco a capire perche quando tento di installare mandvd da yast gestione pacchetti non mi risolve le dipendenze,eppure quando l'ho installato la prima volta tutto è andato liscio.ho provato anche da installazione software ma è la stessa cosa.prima mancano i transcode se provo a mettere transcode manca una lib.faccio presente che tutti gli altri pacchetti tipo mplayer ecc.liho installati senza problemi.



Ritratto di Alfio
#4

Inviato da Alfio il Gio, 19/04/2007 - 21:55.

Re: Prego...

Allora aggiornando i repository e poi riprova .
Ciao



Ritratto di francescoet3
#5

Inviato da francescoet3 il Ven, 20/04/2007 - 07:56.

Re: Prego...

per quanto riguarda l'aggiornamento ho installato tutti gli aggiornamenti che zen mi ha proposto,praticamente al nomento in zen non ci sono aggiornamenti disponibili.ho fatto anche l'aggiornamento del sistema tramite yast.



Ritratto di Alfio
#6

Inviato da Alfio il Ven, 20/04/2007 - 18:08.

Re: Prego...

Mi sono spiegato male devi aggiornare i repositori in Yast.
ciao



Ritratto di francescoet3
#7

Inviato da francescoet3 il Ven, 20/04/2007 - 19:31.

Re: Prego...

per aggiornare i repository io sono andato in yast, cambia sorgente d'installazione, e poi ho fatto aggiorna ora.mavisto che non è cambiato niente.mi sa che cosi facendo non ho fatto quello che tu mi ai suggerito.per aggiornare i repository di yast (perdona la mia ignoranza)basta che seguo la guida che sta nel forum sostituendo nel link la parte 10.0 con10.2 visto che la mia distro è opensuse 10.2
ciao



Ritratto di Alfio
#8

Inviato da Alfio il Ven, 20/04/2007 - 20:59.

Re: Prego...

per aggiornare i repository io sono andato in yast, cambia sorgente d'installazione, e poi ho fatto aggiorna ora

apposta di aggiorna clicca modifica è lascia il repositori come si trova.
Ciao



Ritratto di francescoet3
#9

Inviato da francescoet3 il Ven, 20/04/2007 - 21:24.

Re: Prego...

ho seguito il tuo consiglio ed ho risolto il problema.
ciao e grazie di tutto



Ritratto di Henry87
#10

Inviato da Henry87 il Mar, 01/05/2007 - 16:37.

Re: Prego...

Io ho un problema con le dipendenze...
Quando cerco di risolverle mi dice dopo un pò:

Impossibile risolevere le dipendenze
Resolvable id 186578 does not exist.

Potreste dirmi che problema è?
grazie mille ciao ciao